<?php
include './conexion.php';


if(isset($_POST['data'])) {
    // Decodificar los datos JSON
    $data=$_POST['data'];

    $sql = "INSERT INTO periodos (periodo,fechaInicial,fechaFinal,mes,anio,semana) values ";
    // Verificar si se recibieron datos
    if(!empty($data)) {
        // Iterar sobre los datos recibidos
        foreach($data as $row) {
            // Verificar si las claves esperadas están presentes
            if(isset($row['periodo'], $row['inicial'], $row['final'], $row['mes'], $row['anio'], $row['semana'])) {
                // Aquí puedes realizar las operaciones necesarias con los datos
                // Por ejemplo, insertarlos en una base de datos

                $periodo = $row['periodo'];
    $inicial = $row['inicial'];
    $final = $row['final'];
    $mes = $row['mes'];
    $anio = $row['anio'];
    $semana = $row['semana'];

    
        // Consulta SQL para insertar los datos en la tabla correspondiente
        //$sql = $sql."('$periodo', '$inicial', '$final', '$mes', '$anio', '$semana'),";
    
    



            } else {
                // Manejar el caso en el que alguna clave esperada esté ausente
                echo "Falta una o más claves en los datos recibidos.";
            }
        }
        $sql=substr($sql, 0, -1);

        


        $query_insert=mysqli_query($connection,$sql);
        if($query_insert){
            $status = 'ok';
        
        }else{
            $status = 'err1';
            
        }

    } else {
        $status = 'err2';
    }
} else {
    $status = 'err3';
}


$mensaje = array(
    'respuesta' => $status
);
    
echo json_encode($mensaje);		


